/****************************************************************************************

		IShMovieUtilities.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.
	
		Author:	Emil
		Date:	2/10/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#ifndef __IShMovieUtilities__
#define __IShMovieUtilities__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ComTypes.h"
#include "IShMovie.h"

//************************ Globally Unique Ids *******************************

MCDEFINE_GUID_H(IID_IShMovieUtilities);

//****************************************************************************


/*****************************************************************************\
*                                                                             *
*  IShMovieUtilities                                                          *
*                                                                             *
\*****************************************************************************/
/// \addtogroup MCImage
/// \{

/// Movie utility functions
struct IShMovieUtilities : public IMCUnknown
{
	virtual MCCOMErr MCCOMAPI CreateMovie(IShMovie** movie, IDType format) = 0;

	///returns the first movie type that the file could be
	virtual IDType	 MCCOMAPI GetMovieType	(IMCFile* file) = 0;
};

/// \}
#endif